%global major 0
%define libname %mklibname eot %major
%define devname %mklibname -d eot

Name: libeot
Version: 0.01
Release: %mkrel 6
Summary: A library for parsing Embedded OpenType font files

Group: System/Libraries
License: MPLv2.0
URL: https://github.com/umanwizard/libeot
Source: http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.bz2

%description
%{name} is a library for parsing Embedded OpenType files (Microsoft
embedded font "standard") and converting them to other formats.

%package -n %libname
Summary: A library for parsing Embedded OpenType font files
Group: System/Libraries

%description -n %libname
%{libname} is a library for parsing Embedded OpenType files (Microsoft
embedded font "standard") and converting them to other formats.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libeot-devel

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Tools to transform EOT font files into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform EOT font files into other formats. Only TTF is
supported currently.

%prep
%setup -q

%build
%configure2_5x \
	--disable-silent-rules \
	--disable-static
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la



%files -n %libname
%doc LICENSE PATENTS
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %devname
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files tools
%{_bindir}/eot2ttf



%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.01-6.mga6
+ Revision: 955456
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 tv <tv> 0.01-5.mga6
+ Revision: 869841
- rebuild with gcc5

* Wed Oct 15 2014 umeabot <umeabot> 0.01-4.mga5
+ Revision: 746687
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-3.mga5
+ Revision: 681439
- Mageia 5 Mass Rebuild

* Thu Feb 06 2014 tv <tv> 0.01-2.mga5
+ Revision: 584325
- add devel provides

* Thu Feb 06 2014 tv <tv> 0.01-1.mga5
+ Revision: 584283
- imported package libeot


* Wed Dec 04 2013 David Tardon <dtardon@redhat.com> - 0.01-1
- initial import
